#
# spec file for package AdwSteamGtk
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname io.github.Foldex.AdwSteamGtk
Name:           AdwSteamGtk
Version:        0.7.2
Release:        bp160.1.6
Summary:        A Gtk wrapper for Adwaita-for-Steam
License:        GPL-3.0-only
URL:            https://github.com/Foldex/AdwSteamGtk
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  appstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson
BuildRequires:  patch
BuildRequires:  python3-packaging
BuildRequires:  pkgconfig(blueprint-compiler)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libportal)
Requires:       typelib(XdpGtk4)

%description
A GTK wrapper that installs and updates the Adwaita for Steam skin.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%find_lang adwaita-steam-gtk

%files
%license LICENSE
%doc README.md
%{_bindir}/adwaita-steam-gtk
%{_datadir}/adwaita-steam-gtk
%{_datadir}/appdata/%{appname}.appdata.xml
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/%{appname}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{appname}-symbolic.svg

%files lang -f adwaita-steam-gtk.lang

%changelog
* Sat Nov 23 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.7.2:
  * Improved error handling when retrieving window control settings through portal
- switch to _datadir/icons, so Leap16 builds
* Sat Nov 16 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.7.1:
  * Fix Color Theme Selection
  * Remove auto from win_controls options
  * update portuguese translation
* Mon Nov 11 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.7.0:
  * Update modules and runtime ver
  * Upstream Support: Implement windowcontrols changes
  * Grab Button Layout from Desktop Portal
  * Remove Auto from Window Controls
  * Clarify Window Controls
  * Update POT
- remove %%suse_update_desktop_file, as it's deprecated
* Tue Oct 22 2024 Dirk Stoecker <opensuse@dstoecker.de>
- add missing requirement for XdpGtk4
* Fri May 17 2024 Richard Rahl <rrahl0@disroot.org>
- update to 0.6.11:
  * Update Gnome Runtime Info
  * translate=no properties
  * Update to new Theme Format
  * Use notify::selected on color theme connect
  * Custom CSS: Update to new Theme Format
- update to 0.6.10:
  * Fix update_contact to pass validation
  * Add vcs-browser and translate links
  * Update modules and runtime ver
* Wed Jan 31 2024 Jan Engelhardt <jengelh@inai.de>
- Use %%lang_package in place of manually coding it
* Tue Jan 30 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
